Package net.shibboleth.idp.plugin.authn.webauthn.admin.impl

# Class TriggerRegistrationOnLoad

java.lang.Object
net.shibboleth.idp.plugin.authn.webauthn.admin.impl.TriggerRegistrationOnLoad

All Implemented Interfaces:
  `Predicate<ProfileRequestContext>`

public class TriggerRegistrationOnLoad extends Object implements Predicate<ProfileRequestContext>
Predicate wrapping an injectable predicate, indicating whether the WebAuthn registration ceremony should be automatically triggered when the page loads. A value of `true` means the ceremony should be invoked on load; `false` means it should not.

The view is responsible for acting on this predicate’s outcome. The default value is `false`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private Predicate<ProfileRequestContext>`
`triggerPredicate`
The predicate to run.

## Constructor Summary

Constructors
Constructor
Description
`TriggerRegistrationOnLoad()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`setTriggerPredicate(Predicate<ProfileRequestContext> predicate)`
Set the predicate to determine if the registration ceremony should be triggered on page load.
`boolean`
`test(ProfileRequestContext prc)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Predicate

`and, negate, or`

## Field Details

### triggerPredicate

@Nonnull private Predicate<ProfileRequestContext> triggerPredicate
The predicate to run.

## Constructor Details

### TriggerRegistrationOnLoad

public TriggerRegistrationOnLoad()
Constructor.

## Method Details

### setTriggerPredicate

public void setTriggerPredicate(@Nonnull Predicate<ProfileRequestContext> predicate)
Set the predicate to determine if the registration ceremony should be triggered on page load.

Parameters:
  `predicate` - the predicate to set.

### test

public boolean test(ProfileRequestContext prc)

Specified by:
  `test` in interface `Predicate<ProfileRequestContext>`